/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ru_execresultname',
        prop: 'name',
        dataType: 'TEXT',
      },
      {
        name: 'rulename',
        prop: 'rule_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'keyvaluefield',
        prop: 'key_value_field',
        dataType: 'TEXT',
      },
      {
        name: 'retvalue',
        prop: 'ret_value',
        dataType: 'YESNO',
      },
      {
        name: 'dimfield',
        prop: 'dim_field',
        dataType: 'TEXT',
      },
      {
        name: 'domainsfield',
        prop: 'domains_field',
        dataType: 'TEXT',
      },
      {
        name: 'timefield',
        prop: 'time_field',
        dataType: 'DATETIME',
      },
      {
        name: 'metricfield',
        prop: 'metric_field',
        dataType: 'DECIMAL',
      },
      {
        name: 'businesscat',
        prop: 'business_cat',
        dataType: 'TEXT',
      },
      {
        name: 'ext1field',
        prop: 'ext1_field',
        dataType: 'TEXT',
      },
      {
        name: 'ext2field',
        prop: 'ext2_field',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'ru_execresultid',
        prop: 'id',
        dataType: 'GUID',
      },
      {
        name: 'ruleid',
        prop: 'rule_id',
        dataType: 'PICKUP',
      },
      {
        name: 'execresult',
        prop: 'id',
        dataType: 'FONTKEY',
      },
    ]
  }

}